// Tetratel EyeFX Movie component
// (c) 2000 Michal Husak husakm@vscht.cz 
// log file header
#ifndef __GEOMETICAL_OBJECTS
	#define __GEOMETICAL_OBJECTS
	
	// 2D objects
	struct XY
	{
        float x;
        float y;    
	};

	typedef struct {
		XY p[2];
	} LINE2D;


	// 3D objects
	struct XYZ
	{
        float x;
        float y;
        float z;     
	};

	typedef struct
	{
		XYZ p[2];
	} LINE;

	typedef struct {
		XYZ p[3];
	} TRIANGLE;


#endif
