
#ifndef __MCE_VR
	#define __MCE_VR

typedef enum tagDisplayMode {NoStereo,StereoHW,StereoInterlaced,StereoVertical}
DisplayMode;

typedef enum tagControlDevice {Keyboard,Joystick,VFX3D_keyboard,VFX3D_cyberpuck,VFX3D_joypad}
ControlDevice;

typedef enum tagGridType {MSquare_XYZ,MSquare_Z,MSquare_XZ,MCube_Triangle,MCube_Web}
GridTypes;

typedef struct strMceVrConfiguration {
int OutputResolutionCode;
int BppCode;
int VisualisationMode;
int ControlMode;
int JoysticDeviceNumber;
int LineWidthCode;
int OSD_mode;
int GridSelection;
char szFileName[_MAX_PATH];
} MceVrConfiguration;

typedef struct strMceVrMode{
ControlDevice Control;
GridTypes	GridType;
int JoystickDevIdentification;
DisplayMode ActualDisplayMode;
int OutputWidth;
int OutputHeight;
int OutputBpp;
float LineWidth;
BOOL OSD_visible;
BOOL	fullscreen;	// Fullscreen Flag Set To Fullscreen Mode By Default
} MceVrMode;

typedef enum tageye{CentralEyePicking,CentralEye,LeftEye,RightEye}
eye;

#endif