#include "atom_procesing.h"

void MultBy33Matrix(float v1[3],float v2[3],float matrix[3][3])
{
//v1 input vector
//v2 result
//Matrix 3x3 after multiplication
int i;
int j;

	for (i=0;i<=2;i++)
	{
		v2[i] = 0;
		for(j=0;j<=2;j++)
		{
			v2[i] = v2[i] + matrix[i][j] * v1[j];
		} //next j
	}// next i
}



XYZ CalcFractToCart(XYZ fc,float translation[3],float matrix[3][3])
{
XYZ result;
float translated[3];
float rotated[3];

	translated[0]=fc.x-translation[0];
	translated[1]=fc.y-translation[1];
	translated[2]=fc.z-translation[2];

	MultBy33Matrix(translated,rotated,matrix);

	result.x=rotated[0];
	result.y=rotated[1];
	result.z=rotated[2];

return result;
}

void StuctureToCart(StructureDescription *atoms, ELD_MapData *MapData)
{
int i;

	for (i=0;i<atoms->Natoms;i++)
	{
		atoms->a[i].cc=CalcFractToCart(atoms->a[i].fc,MapData->PlaneTranslation,MapData->PlaneMatrix);
	}
}